gnutls_privkey_import_x509_raw(3)

NAME
gnutls_privkey_import_x509_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_x509_raw(gnutls_privkey_t pkey, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, const char* password, unsigned int flags);

ARGUMENTS

gnutls_privkey_t pkey
    The private key

const gnutls_datum_t * data
    The private key data to be imported

gnutls_x509_crt_fmt_t format
    The format of the private key

const char* password
    A password (optional)

unsigned int flags
    an ORed sequence of gnutls_pkcs_encrypt_flags_t

DESCRIPTION
This function will import the given private key to the abstract gnutls_privkey_t structure. The supported formats are basic unencrypted key, PKCS 8, PKCS 12, and the openssl format.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/